//
//  CallWebAPI.h
//  WebAsynchronous
//
//  Created by StenyMac on 13/8/27.
//  Copyright (c) 2013年 Steny. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol CallWebAPIDelegate <NSObject>
-(void)ShowUI:(NSString*)fbId ResponseDictionary:(NSDictionary *)responDic;
@end;

@interface CallWebAPI : NSObject<NSURLConnectionDataDelegate>{
    NSMutableData* responseData;
    NSDictionary *responseDic;
}
@property (assign ,nonatomic) NSObject<CallWebAPIDelegate> *delegate;
+(void)SendToWebAPI : (NSString *)fbId onTarget:(NSObject *)target;
@end
