//
//  CallWebAPI.m
//  WebAsynchronous
//
//  Created by StenyMac on 13/8/27.
//  Copyright (c) 2013年 Steny. All rights reserved.
//

#import "CallWebAPI.h"

@implementation CallWebAPI

+(void)SendToWebAPI:(NSString *)fbId onTarget:(NSObject *)target
{
    CallWebAPI *obj = [[self alloc]init];
    obj.delegate=target;
    [obj sendToWebApi:fbId];
}

-(id)init{
    self= [super init];
    if(self){
        
    }
    return self;
}
-(void)sendToWebApi:(NSString*)fbId
{
    NSString *urlPath = [NSString stringWithFormat:@"http://graph.facebook.com/%@",fbId ];
    NSURL *url = [[NSURL alloc]initWithString:urlPath];
    NSMutableURLRequest *urlRequest = [[NSMutableURLRequest alloc]initWithURL:url cachePolicy:NSURLCacheStorageAllowed timeoutInterval:60];
    [urlRequest setHTTPMethod:@"GET"];
    NSURLResponse *response;
    NSError *error;
    //NSData *data;
    //data = [NSURLConnection sendSynchronousRequest:urlRequest returningResponse:&response error:&error];
    NSURLConnection *connect =[[NSURLConnection alloc]initWithRequest:urlRequest delegate:self startImmediately:NO];
    [connect scheduleInRunLoop:[NSRunLoop mainRunLoop]
                          forMode:NSDefaultRunLoopMode];
    [connect start];
    //responseDic = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingAllowFragments error:&error];
    [NSThread sleepForTimeInterval:4];
}
-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response{
    responseData =[[NSMutableData alloc]init];
    [responseData setLength:0];
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data{
    [responseData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error{
    NSLog(@"%@",error);
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection{
    NSLog(@"Finish");
    NSError *error;
    responseDic = [NSJSONSerialization JSONObjectWithData:responseData options:NSJSONReadingAllowFragments error:&error];
    //[self.delegate performSelectorOnMainThread:@selector(ShowUI:ResponseDictionary:) withObject:responseDic waitUntilDone:YES];
    [self.delegate performSelector:@selector(ShowUI:ResponseDictionary:) withObject:responseDic];
}


@end
