 //
//  ViewController.m
//  WebAsynchronous
//
//  Created by StenyMac on 13/8/27.
//  Copyright (c) 2013年 Steny. All rights reserved.
//

#import "ViewController.h"

@interface ViewController (){
    MBProgressHUD *HUD ;
}

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    HUD =[[MBProgressHUD alloc]initWithView:self.view];
    HUD.labelText =@"Loading";
    HUD.delegate = self;
    
}
#pragma mark - Button Events
-(IBAction)callWebApi:(id)sender{
    [self.txtId resignFirstResponder];
    [self.view addSubview:HUD];
    [HUD showWhileExecuting:@selector(getWebData) onTarget:self withObject:nil animated:YES];
    
    
    /*HUD = [[MBProgressHUD alloc] initWithView:self.navigationController.view];
	[self.navigationController.view addSubview:HUD];
	
	HUD.delegate = self;
	HUD.labelText = @"Loading";
	
	[HUD showWhileExecuting:@selector(getWebData) onTarget:self withObject:nil animated:YES];*/
}

-(void)getWebData {
    [CallWebAPI SendToWebAPI:self.txtId.text onTarget:self];
    //[NSThread sleepForTimeInterval:4];
}
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)hudWasHidden:(MBProgressHUD *)hud{
    [hud removeFromSuperview];
}
-(void)ShowUI:(NSString*)fbId ResponseDictionary:(NSDictionary *)responDic{
    self.lblName2.text = [responDic valueForKey:@"name"];
    self.lblName.text = [NSString stringWithFormat:@"%@ %@",[responDic valueForKey:@"first_name"],[responDic valueForKey:@"last_name"]];
    self.lblMale .text = [responDic valueForKey:@"gender"];
    self.lblUrl.text =  [responDic valueForKey:@"link"];
}
@end
